# JMZPTMacros Product  a collection of ZPT Macros for the management views
#
# by Josef Meile <jmeile@hotmail.com>
#
# This software is governed by a license. See
# LICENSE.txt for the terms of this license.

#Provides a callable object wrapped around a ZPT
from Products.PageTemplates.PageTemplateFile import PageTemplateFile

class JMZPTMacros:
  #All the ZPT Objects will be loaded as attributes of my
  #JMZPTMacros class

  #Loads my generic manage_add form macros
  generic_add=PageTemplateFile('zpt/generic_add',globals())
  generic_add._owner=None

  #Loads my generic manage_edit form macros
  generic_edit=PageTemplateFile('zpt/generic_edit',globals())
  generic_edit._owner=None

  #Loads my generic manage_view form macros
  generic_view=PageTemplateFile('zpt/generic_view',globals())
  generic_view._owner=None

  #Loads my generic macros
  generic=PageTemplateFile('zpt/generic',globals())
  generic._owner=None